| descseq

## Function

Alter the name or description of a sequence

## Description

descseq reads a sequence and writes it to file but with a different name and / or description. All other records including the sequence itself are left unaltered.

## Usage

Here is a sample session with descseq

Set the name of a sequence to "myclone23"

    % descseq -seq dna.text -out clone23.seq -name "myclone23"
    Alter the name or description of a sequence.

Go to the input files for this example
Go to the output files for this example

Example 2

Set the description of a sequence to "This is my clone number 244"

    % descseq -seq dna.text -out xy24.seq -desc "This is my clone number 244"
    Alter the name or description of a sequence.

Go to the output files for this example

Example 3

Append some text to the description of a sequence

    % descseq -seq dna.text -out est4.seq -desc " (submitted)" -append
    Alter the name or description of a sequence.

Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   (Gapped) sequence filename and optional
                                      format, or reference (input USA)
      [-outseq]            seqout     [<sequence>.<format>] Sequence filename and
                                      optional format (output USA)

       Additional (Optional) qualifiers:
       -name               string     Name of the sequence (Any string is
                                      accepted)
       -description        string     Description of the sequence (Any string is
                                      accepted)

       Advanced (Unprompted) qualifiers:
       -append             boolean    [N] This allows you to append the name or
                                      description you have given on to the end of
                                      the existing name or description of the
                                      sequence.

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outseq" associated qualifiers
       -osformat2          string     Output seq format
       -osextension2       string     File name extension
       -osname2            string     Base file name
       -osdirectory2       string     Output directory
       -osdbname2          string     Database name to add
       -ossingle2          boolean    Separate file for each entry
       -oufo2              string     UFO features
       -offormat2          string     Features format
       -ofname2            string     Features file name
       -ofdirectory2       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | (Gapped) sequence filename and optional format, or reference (input USA) | Readable sequence | Required
[-outseq] (Parameter 2) | Sequence filename and optional format (output USA) | Writeable sequence | <*>.format
Additional (Optional) qualifiers | Allowed values | Default
-name | Name of the sequence | Any string is accepted | An empty string is accepted
-description | Description of the sequence | Any string is accepted | An empty string is accepted
Advanced (Unprompted) qualifiers | Allowed values | Default
-append | This allows you to append the name or description you have given on to the end of the existing name or description of the sequence. | Boolean value Yes/No | No

## Input file format

descseq reads a normal sequence USA.

### Input files for usage example

### File: dna.text

    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTAC
    GTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT

## Output file format

descseq writes the sequence file with a changed name or description.

### Output files for usage example

### File: clone23.seq

    >myclone23
    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT
    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT

### Output files for usage example 2

### File: xy24.seq

    >EMBOSS_001 This is my clone number 244
    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT
    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT

### Output files for usage example 3

### File: est4.seq

    >EMBOSS_001  (submitted)
    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT
    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT

## Data files

None.

## Notes

Most sequence formats allow, at the very minimum, a name for the sequence and some comments to be stored in the sequence file. descseq let's you change the sequence name and / or description, and is far more convenient and less error-prone than using the editor for editing.

The default action is to replace the existing name or description with your new one, but by using the qualifier `-append` what you enter is appended to the existing name or description. Note that if you append to a description, no space is inserted by default bewteen the existing description and your appended text. You have to put in a space yourself if you require one.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None noted.

## See also

Program name | Description
--- | ---
aligncopy | Reads and writes alignments
aligncopypair | Reads and writes pairs from alignments
biosed | Replace or delete sequence sections
codcopy | Copy and reformat a codon usage table
cutseq | Removes a section from a sequence
degapseq | Removes non-alphabetic (e.g. gap) characters from sequences
entret | Retrieves sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featcopy | Reads and writes a feature table
featreport | Reads and writes a feature table
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
makeprotseq | Create random protein sequences
maskambignuc | Masks all ambiguity characters in nucleotide sequences with N
maskambigprot | Masks all ambiguity characters in protein sequences with X
maskfeat | Write a sequence with masked features
maskseq | Write a sequence with masked regions
newseq | Create a sequence file from a typed-in sequence
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
nospace | Remove all whitespace from an ASCII text file
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads sequences and writes them to individual files
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Reads and writes (returns) sequences, skipping first few
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
trimspace | Remove extra whitespace from an ASCII text file
union | Concatenate multiple sequences into a single sequence
vectorstrip | Removes vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

Gary Williams (gwilliam © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None